Subject: Re: [alsa-devel] [PATCH 2/2] Allow a custom ASOC machine driver with soc-of-simple

From: Grant Likely <[email-masked]>
Date: Sat, 26 Jul 2008 19:14:41 -0600

On Wed, Jul 23, 2008 at 04:14:32PM +0100, Mark Brown wrote:
> On Wed, Jul 23, 2008 at 10:09:01AM -0400, Jon Smirl wrote:
> > On 7/23/08, Mark Brown <[email-masked]> wrote:
> 
> > > ...this doesn't just allow a custom machine driver, it requires that
> > >  something configures at least the machine name.  That's not a problem
> > >  from the ASoC point of view but possibly from the PowerPC side?
> 
> > You have to configure at least the name. Otherwise if the machine
> > driver is the last to register, how do you know to hold off the final
> > registration and wait for the machine driver to appear?
> 
> I understand why you have made this change but it's a substantial change
> which should at least be documented in the changelog (I'd expect to see
> some mention of how this is supposed to be configured, for example).
> I'd also expect something to handle the existing user.
> 
> Like I said, I'm not entirely sure that you're supposed to be using this
> driver if you want a machine driver: this is a machine driver and I'm
> not sure if it's supposed to cover all cases or not.  Grant?

As I replied to the patch itself, I'm not thrilled with it, but I don't
have an immediate solution.  I do want this behaviour to at least
trigger on something in the device tree; not to become a hard
requirement.

g.